{% sw_extends '@Storefront/storefront/component/checkout/offcanvas-cart.html.twig' %}

{% block component_offcanvas_cart %}
    {% set isCartNotEmpty = (page.cart.lineItems|length > 0) %}
    <div class="offcanvas-cart">
        <div>
            {% block component_offcanvas_cart_header %}
                <div class="row align-items-baseline h4 offcanvas-cart-header">
                    <div class="col">
                        {% if isCartNotEmpty %}
                            {{ "checkout.cartHeader"|trans|sw_sanitize }}
                        {% else %}
                            {{ "sysea.cartEmptyHeader"|trans }}
                        {% endif %}
                    </div>

                    {% set checkoutItemCounter = page.cart.lineItems|length %}

                    {% block component_offcanvas_cart_header_item_counter %}
                        {% if isCartNotEmpty %}
                            <div class="col-auto">
                                <small class="offcanvas-cart-header-count">
                                    {{ "checkout.itemCounter"|trans({'%count%': checkoutItemCounter})|sw_sanitize }}
                                </small>
                            </div>
                        {% endif %}
                    {% endblock %}
                </div>
            {% endblock %}

            {% block component_offcanvas_cart_flashbags %}
                {{ parent() }}
            {% endblock %}

            {% if isCartNotEmpty %}
                {% block component_offcanvas_cart_items %}
                    <div class="offcanvas-cart-items">
                        {% for lineItem in page.cart.lineItems %}
                            {% block component_offcanvas_cart_item %}
                                {% sw_include '@Storefront/storefront/component/checkout/offcanvas-item.html.twig' %}
                            {% endblock %}
                        {% endfor %}
                    </div>
                {% endblock %}
            {% endif %}
        </div>

        <div class="sysea--offcanvas-cart-actions-wrapper">
            {% if isCartNotEmpty %}
                {% block component_offcanvas_summary %}
                    {% sw_include '@Storefront/storefront/component/checkout/offcanvas-cart-summary.html.twig' %}
                {% endblock %}
            {% endif %}

            {% block component_offcanvas_cart_actions %}
                <div class="offcanvas-cart-actions">
                    {% block component_offcanvas_cart_actions_promotion %}
                    {% endblock %}

                    {% block component_offcanvas_cart_actions_checkout %}
                        {% if isCartNotEmpty %}
                            {# @deprecated tag:v6.5.0 - Bootstrap v5 removes `btn-block` class, use `d-grid` wrapper instead #}
                            {% if feature('v6.5.0.0') %}
                                <div class="d-grid">
                                    <a href="{{ path('frontend.checkout.confirm.page') }}"
                                       class="btn begin-checkout-btn btn-primary"
                                       title="{{ "checkout.proceedToCheckout"|trans|striptags }}">
                                        {{ "checkout.proceedToCheckout"|trans|sw_sanitize }}
                                    </a>
                                </div>
                            {% else %}
                                <a href="{{ path('frontend.checkout.confirm.page') }}"
                                   class="btn btn-block begin-checkout-btn btn-primary"
                                   title="{{ "checkout.proceedToCheckout"|trans|striptags }}">
                                    {{ "checkout.proceedToCheckout"|trans|sw_sanitize }}
                                </a>
                            {% endif %}
                        {% else %}
                            <img class="img-fluid sysea--offcanvas-cart-illustration" src="{{ asset('bundles/syseathesimple/assets/img/offcanvas-cart-empty.svg') }}">
                        {% endif %}
                    {% endblock %}

                    {% block component_offcanvas_cart_actions_cart %}
                        {% if isCartNotEmpty %}
                            {# @deprecated tag:v6.5.0 - Bootstrap v5 removes `btn-block` class, use `d-grid` wrapper instead #}
                            {% if feature('v6.5.0.0') %}
                                <div class="d-grid">
                                    <a href="{{ path('frontend.checkout.cart.page') }}"
                                       class="btn btn-link"
                                       title="{{ "checkout.proceedToCart"|trans|striptags }}">
                                        {{ "checkout.proceedToCart"|trans|sw_sanitize }}
                                    </a>
                                </div>
                            {% else %}
                                <a href="{{ path('frontend.checkout.cart.page') }}"
                                   class="btn btn-block btn-link"
                                   title="{{ "checkout.proceedToCart"|trans|striptags }}">
                                    {{ "checkout.proceedToCart"|trans|sw_sanitize }}
                                </a>
                            {% endif %}
                        {% endif %}
                    {% endblock %}
                </div>
            {% endblock %}
        </div>
    </div>

    {% block component_offcanvas_cart_hidden_line_items_information %}
        {% sw_include '@Storefront/storefront/component/checkout/hidden-line-items-information.html.twig' with {
            cart: page.cart,
            lineItems: page.cart.lineItems
        } %}
    {% endblock %}
{% endblock %}